Redmine - Defect #2908

Issues Export Bug
2009-03-05 13:05 - Geordee Naliyath

Status: Closed Start date: 2009-03-05
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

| am using revision 2552. When | export the issues without any filters it works fine. But when | export issues with filters applied (for
example, | have multiple issue trackers, and when | restrict the listing to one tracker) it exports all issues from all the projects where |
am member of. This has caused a bit of a problem now.

Associated revisions

Revision 2554 - 2009-03-06 23:46 - Jean-Philippe Lang

Fixed: export links on the issue list lose project param after applying a filter (#2908).

History

#1 - 2009-03-06 10:07 - Ewan Makepeace
- File Screenshot _2.jpg added

+1
Yes this is a complete disaster. Happens often with Exports and sometimes on the screen. | attach an example where | am focussed on one project
but the listed issues are from all sorts of other projects.

#2 - 2009-03-06 12:01 - Geordee Naliyath

We did not see this issue in 0.7.x. Recently | upgraded to 0.8.x and one of the project managers reported this issue. Apparently he exports filtered
issues a lot and now he is a bit irked about this bug.

#3 - 2009-03-06 23:46 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Yet another side effect of the URL changes in trunk. It's fixed in r2554.

Ewan, if you have a problem on the issue list (not on the exports), please open a ticket and give the steps to reproduce.
